CVE-2019-9936

Priority
Description
In SQLite 3.27.2, running fts5 prefix queries inside a transaction could
trigger a heap-based buffer over-read in fts5HashEntrySort in sqlite3.c,
which may lead to an information leak. This is related to
ext/fts5/fts5_hash.c.
Assigned-to
leosilva
Notes
Package
Upstream:released (3.27.2-2)
Ubuntu 12.04 ESM (Precise Pangolin):not-affected (code not present)
Ubuntu 14.04 ESM (Trusty Tahr):not-affected (code not present)
Ubuntu 16.04 LTS (Xenial Xerus):released (3.11.0-1ubuntu1.2)
Ubuntu 18.04 LTS (Bionic Beaver):released (3.22.0-1ubuntu0.1)
Ubuntu 19.04 (Disco Dingo):not-affected (3.27.2-2)
Ubuntu 19.10 (Eoan Ermine):not-affected (3.27.2-2)
More Information

Updated: 2019-12-05 21:10:16 UTC (commit 0aa5e7c87c8b55d2ec5c7f4ca1179cf75de91961)